io.vertx.rxjava.servicediscovery.types

## Class MessageSource

- java.lang.Object
- - io.vertx.rxjava.servicediscovery.types.MessageSource

-     public class MessageSource
      extends Object

  Service type for data producer. Providers are publishing data to a specific event bus address.

  NOTE: This class has been automatically generated from the `original` non RX-ified interface using Vert.x codegen.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MessageSource(MessageSource delegate)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Record` | `createRecord(String name, String address)` Same as `createRecord(java.lang.String, java.lang.String, java.lang.String, io.vertx.core.json.JsonObject)` without additional metadata, and no type for the payload.
    `static Record` | `createRecord(String name, String address, String type)` Same as `createRecord(java.lang.String, java.lang.String, java.lang.String, io.vertx.core.json.JsonObject)` without additional metadata.
    `static Record` | `createRecord(String name, String address, String type, JsonObject metadata)` Create a record representing a data producer.
    `static <T> void` | `getConsumer(ServiceDiscovery discovery, JsonObject filter, Handler<AsyncResult<MessageConsumer<T>>> resultHandler)` Convenient method that looks for a message source and provides the configured .
    `static <T> Observable<MessageConsumer<T>>` | `getConsumerObservable(ServiceDiscovery discovery, JsonObject filter)` Convenient method that looks for a message source and provides the configured .
    `Object` | `getDelegate()`
    `static MessageSource` | `newInstance(MessageSource arg)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MessageSource

          public MessageSource(MessageSource delegate)

  - ### Method Detail

    - #### getDelegate

          public Object getDelegate()

    - #### createRecord

          public static Record createRecord(String name,
                                            String address,
                                            String type,
                                            JsonObject metadata)

      Create a record representing a data producer.
      Parameters:
        `name` - the name of the service
        `address` - the address on which the data is sent
        `type` - the type of payload (fully qualified name of the class)
        `metadata` - additional metadata
      Returns:
        the created record

    - #### createRecord

          public static Record createRecord(String name,
                                            String address,
                                            String type)

      Same as `createRecord(java.lang.String, java.lang.String, java.lang.String, io.vertx.core.json.JsonObject)` without additional metadata.
      Parameters:
        `name` - the name of the service
        `address` - the address on which the data is sent
        `type` - the type of payload
      Returns:
        the created record

    - #### createRecord

          public static Record createRecord(String name,
                                            String address)

      Same as `createRecord(java.lang.String, java.lang.String, java.lang.String, io.vertx.core.json.JsonObject)` without additional metadata, and no type for the payload.
      Parameters:
        `name` - the name of the service
        `address` - the address on which the data is sent.
      Returns:
        the created record

    - #### getConsumer

          public static <T> void getConsumer(ServiceDiscovery discovery,
                                             JsonObject filter,
                                             Handler<AsyncResult<MessageConsumer<T>>> resultHandler)

      Convenient method that looks for a message source and provides the configured . The async result is marked as failed is there are no matching services, or if the lookup fails.
      Parameters:
        `discovery` - The service discovery instance
        `filter` - The filter, optional
        `resultHandler` - The result handler

    - #### getConsumerObservable

          public static <T> Observable<MessageConsumer<T>> getConsumerObservable(ServiceDiscovery discovery,
                                                                                 JsonObject filter)

      Convenient method that looks for a message source and provides the configured . The async result is marked as failed is there are no matching services, or if the lookup fails.
      Parameters:
        `discovery` - The service discovery instance
        `filter` - The filter, optional
      Returns:

    - #### newInstance

          public static MessageSource newInstance(MessageSource arg)

Copyright © 2016. All rights reserved.